/*
 Text Metrics and Node behaviour
*/
.node-text-behaviour {
  white-space: pre-wrap;
  word-wrap: break-word;
  font-family: sans-serif;
}

/*
 jquery ui
*/
.ui-effects-transfer {
  border: 2px dashed #AAA;
}

/*
  APPLICATION
*/
html,body {
  height: 100%; /* needed for container min-height */
  font-family: sans-serif;
  font-size: 10px; /*conform with jquery-ui em settings */
}

#container {
  position: relative; /* needed for footer positioning*/
  height: auto !important;
  min-height: 100%;
}

#topbar {
  border-bottom: 1px solid #AAA;
  overflow: hidden; /* causes container to stretch vertically */
  width: 100%;
}

.logo-bg {
  background: #31A1DF; /* Old browsers */
  background: -moz-linear-gradient(left, #31A1DF 7%, #e5e5e5 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, right top, color-stop(7%, #31A1DF),
    color-stop(100%, #e5e5e5) ); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(left, #31A1DF 7%, #e5e5e5 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(left, #31A1DF 7%, #e5e5e5 100%);
  /* Opera11.10+ */
  background: -ms-linear-gradient(left, #31A1DF 7%, #e5e5e5 100%);
  /* IE10+ */
  filter: progid : DXImageTransform.Microsoft.gradient (startColorstr = '#31A1DF', endColorstr = '#E5E5E5', GradientType = 1 );
  /* IE6-9 */
  background: linear-gradient(left, #31A1DF 7%, #e5e5e5 100%); /* W3C */
}

.rotate-180 {
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}

.rotate-180:hover {
  -webkit-transition: all 1s ease-out;
  -moz-transition: all 1s ease-out;
  transition: all 1s ease-out;
  -moz-transform: scale(1) rotate(180deg) translate(0px, 0px)
    skew(0deg, 0deg);
  -webkit-transform: scale(1) rotate(180deg) translate(0px, 0px)
    skew(0deg, 0deg);
  -o-transform: scale(1) rotate(180deg) translate(0px, 0px)
    skew(0deg, 0deg);
  -ms-transform: scale(1) rotate(180deg) translate(0px, 0px)
    skew(0deg, 0deg);
  transform: scale(1) rotate(180deg) translate(0px, 0px) skew(0deg, 0deg);
}

#logo {
  float: left;
  width: 170px;
  height: 40px;
  background-color: #AFC8F0;
  margin-right: 10px;
  color: white;
  font-size: 3em;
  text-align: center;
  overflow: hidden;
  padding-top: 3px;
  text-shadow: 2px 1px 5px #1C4257;
}

#toolbar {
  background-color: #E5E5E5;
  overflow: hidden;
  width: 100%;
}

#toolbar .buttons {
  margin-top: 6px;
}

#toolbar .ui-buttonset {
  margin-right: 14px;
}

.buttons-right {
  position: absolute;
  right: 0;
  margin-right: 8px;
}

#toolbar .menu-wrapper {
  position: relative;
  display: inline-block; /* fix for opera 11.50 */
}

#toolbar .menu-wrapper .menu {
  position: absolute;
  right: 0;
  z-index: 5000;
  display: none;
  background: #EDEDED;
  box-shadow: 1px 1px 9px 0 #636B6A;
}

#toolbar .menu-wrapper .menu-item {
  display: block;
  text-align: left;
  width: 100%;
}

#toolbar .menu-wrapper .menu-item:hover {
  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(1, #B9E0F5),
    color-stop(0, #92BDD6) );
  background-image: -moz-linear-gradient(center top, #B9E0F5, #92BDD6);
  background-image: -o-linear-gradient(center top, #B9E0F5, #92BDD6);
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  color: #1C4257;
}

#bottombar {
  position: fixed; /* absolute caused scroll bar, depending on border */
  width: 100%;
  bottom: 0;
  background: #EEE;
  border-top: 1px solid #AAA;
}

#statusbar {
  height: 32px;
}

#statusbar .buttons {
  margin-top: 4px;
}

#about {
  position: absolute;
  top: 10px;
  left: 10px;
  color: #454545;
  font-size: 12px;
}

#about a {
  color: inherit;
}

/* apply styles to button and wrapper div */
.buttons-small .ui-button .ui-button-text,.buttons-small.ui-button .ui-button-text
  {
  font-size: 12px;
}

.buttons-very-small .ui-button .ui-button-text,.buttons-very-small.ui-button .ui-button-text
  {
  font-size: 10px;
}

.buttons-less-padding .ui-button .ui-button-text,.buttons-less-padding.ui-button .ui-button-text
  {
  padding: 0.2em 0.6em;
}

button#delComment {
    margin-left: -.6em;
}

#canvas-container {
  position: absolute;
  width: 100%;
  overflow: hidden;
}

#drawing-area {
  position: absolute;
  background-color: white;
  background-image: url("../img/grid.gif");
  background-size: 24px 24px;
  /* need this for webkit as well. */
  image-rendering: -moz-crisp-edges;
  -ms-interpolation-mode: nearest-neighbor;
}

.mindmap .line-canvas {
  position: absolute;
}

.mindmap .node-container {
  position: absolute;
  padding-bottom: 2px;
  font-size: 15px;
}

.mindmap .root.node-container {
  border-bottom: 10px solid transparent;
  width: 1px;
  height: 20px;
  left: 50%;
  top: 50%;
}

.mindmap .node-caption {
  position: relative;
  cursor: move;
  z-index: 100;
  padding: 4px;
  text-align: center;
  border-radius: 5px;
}

.mindmap .line-caption {
  position: absolute;
  border-radius: 11px;
  box-shadow: none;
  border: 1px dotted grey;
  text-align: center;
}

.mindmap .line-caption:hover {
  border: 1px dotted orange;
}

.mindmap .node-caption:hover {
  border: 2px dotted #DDD;
  padding: 2px;
}

.mindmap .node-caption.selected {
  border: 2px solid red;
  padding: 2px;
  z-index: 1000;
  webkit-box-shadow: 3px 3px 7px #828282;
  -moz-box-shadow: 3px 3px 7px #828282;
  box-shadow: 3px 3px 7px #828282;
}

.mindmap .node-caption.edit {
  border: 2px solid blue;
}

.mindmap .node-caption.root {
  cursor: default;
  background: white;
  border: 3px solid orange;
  border-radius: 10px 10px 10px 10px;
  left: -50px;
  position: absolute;
  padding: 4px;
}

.mindmap .node-caption.root.selected {
  border-color: red;
}

.mindmap .node-caption.root.edit {
  border-color: blue;
}

.mindmap .button-fold {
  width: 16px;
  height: 16px;
  bottom: -12px;
  background-image: url("../img/plus-minus.png");
  background-repeat: no-repeat;
  position: absolute;
  z-index: 1000;
  cursor: pointer;
}

.mindmap .button-fold.left {
  left: 4px;
}

.mindmap .button-fold.right {
  right: 4px;
}

.mindmap .button-fold.closed {
  background-position: 0 0;
}

.mindmap .button-fold.open {
  background-position: 0 -16px;
}

#creator-wrapper {
  position: absolute !important;
  bottom: -16px;
  /* open hand cursor */
  cursor:
    url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAGxJREFUeNqskgsOwCAIQ+n9D80+bkmDVJmTxIRq+giI2Tj8OTKQGN57P6MJQHpYdAbW4Q07AH7L2IIyZfArXwJwjtHw0qknANn7LDpArDAz8xC9WlUBPkN+AXiZ5DeuAqzyjWqVS5DtgEOAAQCmx2gKY+jFZgAAAABJRU5ErkJggg==),
    default !important;
}

#creator-wrapper.ui-draggable-dragging { /* closed hand cursor */
  cursor:
    url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA0AAAALCAYAAACksgdhAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAFhJREFUeNqUkAEKgDAMA5Pi/79cdS5YC2p2MMi6lnQBbnKeLz2gHg6uAok3rZlAQ01dl3vyWUv8cTpG2dtmcx0qsdI8wxhBsCTjDbtByKWvZzsu/UnsAgwAQG4nCi//474AAAAASUVORK5CYII=),
    default !important;
}

#creator-wrapper.left {
  left: -18px;
}

#creator-wrapper.right {
  right: -18px;
}

#creator-nub {
  width: 24px;
  height: 24px;
  background-image: url("../img/creator-nub-sprite.png");
  background-repeat: no-repeat;
  position: relative;
  z-index: 1000;
}

#creator-fakenode {
  height: 12px;
  border-bottom-color: transparent;
  border-bottom-style: none;
}

#creator-wrapper.ui-draggable-dragging #creator-fakenode {
  border-bottom-style: solid;
}

#creator-nub:hover {
  background-position: -24px 0;
}

#caption-editor {
  display: block; /** important for webkit */
  resize: none;
  background: none;
  border: none;
  font: inherit;
  margin: 0;
  padding: 0;
  outline: none;
  text-align: center;
  overflow: hidden;
  vertical-align: baseline;
  /** override aristo */
  -webkit-border-radius: none;
  -moz-border-radius: none;
  border-radius: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  -webkit-transition: none;
  -moz-transition: none;
  -o-transition: none;
  -webkit-border-radius: none
}

.float-panel.ui-dialog {
  min-width: 200px;
  min-height: 150px;
  position: fixed !important;
  box-shadow: none;
  z-index: 1000;
  width: auto !important;
}

.float-panel div.ui-dialog-titlebar {
  padding: 0.4em 0.5em 0.3em;
}

.float-panel span.ui-dialog-title {
  margin: 0;
}

.float-panel a.ui-dialog.titlebar-close {
  right: 0.5em;
  margin-top: -9px;
}

.float-panel.ui-dialog .ui-dialog-titlebar-close span.ui-icon {
  background: url("Aristo/images/ui-icons_222222_256x240.png") -48px
    -128px;
}

#navigator {
  
}

#navigator .inactive {
  width: 256px;
}

#navi-content {
  
}

#navi-canvas-wrapper {
  margin: 5px 0;
  position: relative;
}

#navi-canvas {
  width: 250px;
  display: block;
  border: 1px solid black;
  padding: 2px;
}

#navi-canvas-overlay {
  border: 2px solid red;
  width: 50px;
  height: 25px;
  position: absolute !important;
  top: 0;
  left: 0;
  cursor: move;
}

#navi-zoom-level {
  float: left;
  font-size: 14px;
  margin-right: 10px;
  margin-top: 3px;
  width: 50px;
}

#navi-controls {
  
}

#navi-slider {
  float: left;
  width: 140px;
  margin: 7px 6px;
}

#navi-controls .button-zoom {
  width: 18px;
  height: 18px;
  float: left;
  border-radius: 12px;
}

#inspector {
  
}

#inspector-table {
  width: 100%;
}

#inspector-table tr {
  height: 28px;
}

#inspector-table td {
  padding: 4px 0px;
  border-bottom: 1px solid #E5E5E5;
}

#inspector-table {
  width: 100%;
  font-size: 12px;
}

#inspector-table .font-styles .ui-button-text {
  font-size: 11px;
  font-weight: normal;
}

#inspector-label-font-bold .ui-button-text {
  font-weight: bold !important;
}

#inspector-label-font-italic .ui-button-text {
  font-style: italic;
}

#inspector-label-font-underline .ui-button-text {
  text-decoration: underline;
}

#inspector-label-font-linethrough .ui-button-text {
  text-decoration: line-through;
}

button#center-button, button#center-selected-button, button#addLink{
    margin-right: -5px;
}

.file-dialog {
  /* overwrite aristo behaviour */
  padding: 10px !important;
}

.file-dialog h1 {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 8px;
}

.file-dialog .highlight {
  color: #14BB14;
  margin-right: 4px;
}

.file-dialog p {
  margin: 8px 0 15px;
  font-size: 13px;
  line-height: 15px;
}

.file-dialog .error {
  font-size: 13px;
  color: #F70000;
  margin-left: 10px;
}

.file-dialog .cloud-loading {
  margin-left: 10px;
  font-size: 13px;
  display: none;
  padding-left: 22px;
  padding-top: 2px;
}

.file-dialog .cloud-loading.loading {
  display: inline-block;
}

.file-dialog .localstorage-filelist {
  width: 100%;
  margin: 12px 0;
  font-size: 14px;
}

.file-dialog .localstorage-filelist thead {
  font-weight: bold;
  text-align: left;
}

.file-dialog .localstorage-filelist th {
  padding-bottom: 4px;
}

.file-dialog .localstorage-filelist th.title {
  width: 50%;
}

.file-dialog .localstorage-filelist th.modified {
  width: 40%;
}

.file-dialog .localstorage-filelist tbody td {
  padding: 4px;
}

.file-dialog .localstorage-filelist tbody tr:nth-child(odd) {
  background-color: #E8E8E8;
}

.file-dialog .localstorage-filelist tbody tr:hover,.file-dialog .localstorage-filelist tbody tr:nth-child(odd):hover
  {
  background-color: #B9E0F5;
}

.file-dialog .localstorage-filelist a.delete {
  display: none;
}

.file-dialog .localstorage-filelist tr:hover a.delete {
  display: inline;
}

.file-dialog .autosave {
  margin-left: 20px;
}

.file-dialog .autosave + label {
  font-size: 13px;
}

.file-dialog .seperator {
  display: block;
  clear: both;
  border-top: 1px dashed #AAA;
  margin: 15px 0;
  width: 100%;
}

.file-dialog .file-chooser {
  margin: 10px 0;
}


/**
* NOTIFICATION
*/
.notification {
  border: 7px solid;
  border-radius: 7px;
  position: absolute;
  z-index: 10000;
  display: block;
  padding: 10px;
  background-color: white;
  display: none;
}

.notification.info {
  border-color: #E2E2E2;
  box-shadow: 1px 1px 7px 1px #bdbdbd;
}

.notification.warn {
  border-color: #FFC53D;
  box-shadow: 1px 1px 7px 1px #FF943D;
}

.notification.error {
  border-color: #F75F00;
  box-shadow: 1px 1px 7px 1px #F70000;
}

.notification .title {
  font-weight: bold;
  font-size: 18px;
  color: #4F4F4F;
  padding-bottom: 6px;
  margin-top: -3px;
  padding-right: 10px;
}

.notification .content {
  font-size: 14px;
  color: #454545;
  line-height: 1.4;
}

.notification .close-button {
  color: #4F4F4F;
  margin-top: -6px;
  margin-right: -2px;
  float: right;
  cursor: pointer;
  text-decoration: none;
  font-size: 14px;
  font-weight: bold;
  float: right;
  cursor: pointer;
  text-decoration: none;
  font-size: 16px;
  font-weight: bold;
  padding: 4px;
}

.notification .close-button:hover {
  text-decoration: underline;
}

#print-area {
  visibility: hidden;
  position: absolute;
  overflow: hidden;
  height: 0px;
}

#print-area .map {
  max-width: 100%;
  max-height: 100%;
}

@media print {
  body {
    height: auto;
  }
  #container {
    display: none;
    visibility: hidden;
  }
  .no-print {
    visibility: hidden;
    display: none
  }
  #print-area {
    display: block;
    visibility: visible;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
  }
}

#export-map-dialog {
  padding: 10px;
  font-size: 12px;
  background-color: #EEE;
}

#export-map-dialog .image-description {
  font-style: italic;
  padding-bottom: 10px;
  font-size: 13px;
}

#export-preview {
  text-align: center;
}

#export-preview .map {
  border: 2px dashed #AAA;
  border-radius: 5px;
  max-width: 100%;
}

#debug-warning {
  position: fixed;
  top: 50px;
  left: 10px;
  z-index: 10000;
  font-size: 15px;
  font-weight: bold;
  color: gray;
}

/* top banner */
#banner {
  padding: 10px;
  background: rgba(49, 161, 223, 0.3);
  font-size: 14px;
  color: hsla(201, 73%, 28%, 1);
  line-height: 1.41;
  border-bottom: 1px solid;
  border-top: 1px solid;
}

#banner a {
  color: inherit;
  font-weight: bold;
}

#banner strong {
  font-weight: bold;
}

/* filepicker modal customization */
#filepicker_shade {
  z-index: 10000;
  background: inherit;
}